/*
 ************************************************************************
 *
 * Copyright (c) 2009 University of Massachusetts, Amherst
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and/or hardware specification (the "Work") to
 * deal in the Work without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute,
 * sublicense, and/or sell copies of the Work, and to permit persons to
 * whom the Work is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Work.
 *
 * THE WORK IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE WORK OR THE USE OR OTHER DEALINGS
 * IN THE WORK.
 *
 ************************************************************************
 *
 * These are the functions invoked by XML-RPC calls.
 *
 */

public class DomeMethods {
	
	/**
	 * Invoked by the handler when a join is executed.
	 * 
	 * @param GID - Experiment identifier.
	 * @param instance - Instanced id of the experiment.
	 * @param ticketId - Unique, unguessable id assigned by the portal when
	 *    requesting the lease.
	 * @return
	 */
	public int orcaJoin(String GID, String instance, String ticketId) {
		// TODO: add real code.
		System.out.println("join: " + GID + ":" + instance + " (" + ticketId + ")");
		return 0;
	}
	
	/**
	 * Invoked by the handler when a leave is executed.
	 * 
	 * @param GID
	 * @param instance - Instanced id of the experiment.
	 * @param ticketId - Unique id assigned by the portal to the lease.
	 * @return
	 */
	public int orcaLeave(String GID, String instance, String ticketId) {
		// TODO: add real code.
		System.out.println("leave: " + GID + ":" + instance + " (" + ticketId + ")");
		return 0;
	}

}
