/*
 * Copyright (C) 2004-2007 Duke University. This software is distributed under
 * the terms of the Eclipse Public License Version 1.0 found in
 * the file named LICENSE.Eclipse, which was shipped with this distribution.
 * Any use, reproduction or distribution of this software constitutes
 * the recipient's acceptance of the Eclipse license terms.
 * This notice and the full text of the license must be included with any
 * distribution of this software.
 */

package orca.controllers.dieselnet;

import orca.manage.extensions.api.ManageExtensionsApiConstants;
import orca.manage.extensions.api.proxies.ProxyProtocolDescriptor;
import orca.manage.extensions.standard.CodConverter;
import orca.manage.extensions.standard.beans.NodeMng;
import orca.manage.extensions.standard.controllers.ControllerManagerObject;

import orca.security.AuthToken;

import orca.shirako.api.IActor;

public class DieselnetManagerObject extends ControllerManagerObject {
	public DieselnetManagerObject(DieselnetController controller, IActor actor) {
		super(controller, actor);
	}

	public void disableController(AuthToken auth) {
		((DieselnetController) controller).disableController();
	}

	public void enableController(AuthToken auth) {
		((DieselnetController) controller).enableController();
	}

	public NodeMng getMaster(AuthToken auth) {
		return CodConverter.fill(((DieselnetController) controller)
				.getMasterNode());
	}

	public boolean isControllerEnabled(AuthToken auth) {
		return ((DieselnetController) controller).isControllerEnabled();
	}

	@Override
	protected void registerProtocols() {
		ProxyProtocolDescriptor p = new ProxyProtocolDescriptor(
				ManageExtensionsApiConstants.ProtocolLocal,
				LocalDieselnetManagementProxy.class.getCanonicalName());
		proxies = new ProxyProtocolDescriptor[] { p };
	}

}
