/*
 * Copyright (C) 2004-2007 Duke University. This software is distributed under
 * the terms of the Eclipse Public License Version 1.0 found in
 * the file named LICENSE.Eclipse, which was shipped with this distribution.
 * Any use, reproduction or distribution of this software constitutes
 * the recipient's acceptance of the Eclipse license terms.
 * This notice and the full text of the license must be included with any
 * distribution of this software.
 */

package orca.controllers.dieselnet;

import orca.manage.extensions.standard.beans.NodeMng;
import orca.manage.extensions.standard.controllers.ControllerPortalPlugin;

import orca.portal.UserIdentity;

public class DieselnetPortalPlugin extends ControllerPortalPlugin {
	protected String MainTemplate = "/dieselnet/main.vm";

	public int disableController(UserIdentity owner) {
		int result = 0;

		try {
			DieselnetManagementProxy man = getMyProxy();
			man.disableController(owner.getAuth());
		} catch (Exception e) {
			logger.exception("disableController", e);
			result = -1;
		}

		return result;
	}

	public int enableController(UserIdentity owner) {
		int result = 0;

		try {
			DieselnetManagementProxy man = getMyProxy();
			man.enableController(owner.getAuth());
		} catch (Exception e) {
			logger.exception("enableController", e);
			result = -1;
		}

		return result;
	}

	public String getMainTemplate() {
		return MainTemplate;
	}

	public NodeMng getMasterNode(UserIdentity owner) {
		NodeMng result = null;

		try {
			DieselnetManagementProxy man = getMyProxy();
			result = man.getMaster(owner.getAuth());
		} catch (Exception e) {
			logger.exception("getMasterNode", e);
		}

		return result;
	}

	protected DieselnetManagementProxy getMyProxy() {
		return (DieselnetManagementProxy) proxy;
	}

	public boolean isControllerEnabled(UserIdentity owner) {
		boolean result = false;

		try {
			DieselnetManagementProxy man = getMyProxy();
			result = man.isControllerEnabled(owner.getAuth());
		} catch (Exception e) {
			logger.exception("isControllerEnabled", e);
			result = false;
		}

		return result;
	}

}
