/*
 * Copyright (C) 2004-2007 Duke University. This software is distributed under
 * the terms of the Eclipse Public License Version 1.0 found in
 * the file named LICENSE.Eclipse, which was shipped with this distribution.
 * Any use, reproduction or distribution of this software constitutes
 * the recipient's acceptance of the Eclipse license terms.
 * This notice and the full text of the license must be included with any
 * distribution of this software.
 */

package orca.controllers.dieselnet;

import orca.manage.extensions.api.ManagerObject;
import orca.manage.extensions.standard.beans.NodeMng;
import orca.manage.extensions.standard.controllers.proxies.local.LocalControllerManagementProxy;

import orca.security.AuthToken;

public class LocalDieselnetManagementProxy extends
		LocalControllerManagementProxy implements DieselnetManagementProxy {
	/**
	 * The controller manager object.
	 */
	protected DieselnetManagerObject manager;

	public LocalDieselnetManagementProxy() {
	}

	public LocalDieselnetManagementProxy(DieselnetManagerObject manager) {
		super(manager);
		this.manager = manager;
	}

	public NodeMng getMaster(AuthToken auth) throws Exception {
		return manager.getMaster(auth);
	}

	public void disableController(AuthToken auth) throws Exception {
		manager.disableController(auth);
	}

	public void enableController(AuthToken auth) throws Exception {
		manager.enableController(auth);
	}

	public boolean isControllerEnabled(AuthToken auth) throws Exception {
		return manager.isControllerEnabled(auth);
	}

	@Override
	public void setManagerObject(ManagerObject manager) {
		super.setManagerObject(manager);
		this.manager = (DieselnetManagerObject) manager;
	}

}
